//
//  pdf417Plugin.h
//  CDVpdf417
//
//  Created by Jurica Cerovec, Marko Mihovilic on 10/01/13.
//  Copyright (c) 2013 Racuni.hr. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import <Cordova/CDV.h>

/**
 * BlinkCard plugin class.
 * Responds to JS calls
 */
@interface CDVBlinkCardScanner : CDVPlugin

/**
 * Starts the scanning process
 */
- (void)scanWithCamera:(CDVInvokedUrlCommand *)command;

/**
 * Starts the image recognition process via DirectAPI
 */
- (void)scanWithDirectApi:(CDVInvokedUrlCommand *)command;
/**
 * Returns successful recognition
 */
- (void)returnResults:(NSArray *)results cancelled:(BOOL)cancelled;

/**
 * Returns error, for example, not supported pdf417
 */
- (void)returnError:(NSString *)message;

@end